package com.bytedance.android.live.liveinteract.cohost.business.contract;

import X.C15000j4;
import X.C15030j7;
import X.C15040j8;
import X.C31851Ol;
import com.bytedance.android.livesdk.ui.BaseFragment;
import com.bytedance.covode.number.Covode;

public final class InteractDialogFragmentBaseContract {

    public static abstract class AbsView<T extends C15000j4> extends BaseFragment {
        public C15030j7 LIZIZ;
        public T LIZJ;
        public final C31851Ol LIZLLL = C31851Ol.LLFII.LIZ();

        static {
            Covode.recordClassIndex(6740);
        }

        public abstract C15040j8 LJ();
    }

    static {
        Covode.recordClassIndex(6739);
    }
}
